Add attachment
curl --request POST \
--url https://api.domo.com/v1/projects/{PROJECT_ID}/lists/{LIST_ID}/tasks/{TASK_ID}/attachments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.domo.com/v1/projects/{PROJECT_ID}/lists/{LIST_ID}/tasks/{TASK_ID}/attachments"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.domo.com/v1/projects/{PROJECT_ID}/lists/{LIST_ID}/tasks/{TASK_ID}/attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 3,
"taskId": 5,
"createdDate": "2018-08-01T09:00:00Z",
"createdBy": 27,
"fileName": "Domo Validation.xlsx",
"mimeType": "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"
}Projects and Tasks API
Add attachment
Add a multipart form file to a task item as an attachment.
POST
/
v1
/
projects
/
{PROJECT_ID}
/
lists
/
{LIST_ID}
/
tasks
/
{TASK_ID}
/
attachments
Add attachment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the project
The ID of the list
The ID of the task
⌘I